# platinfo.h File Reference

## Classes

struct | wxLinuxDistributionInfo
| A structure containing informations about a Linux distribution as returned by the `lsb_release` utility. More...
class | wxPlatformInfo
| This class holds informations about the operating system, the toolkit and the basic architecture of the machine where the application is currently running. More...

## Enumerations

enum

wxOperatingSystemId {
wxOS_UNKNOWN = 0,
wxOS_MAC_OS = 1 << 0,
wxOS_MAC_OSX_DARWIN = 1 << 1,
wxOS_MAC = wxOS_MAC_OS|wxOS_MAC_OSX_DARWIN,
wxOS_WINDOWS_9X = 1 << 2,
wxOS_WINDOWS_NT = 1 << 3,
wxOS_WINDOWS_MICRO = 1 << 4,
wxOS_WINDOWS_CE = 1 << 5,
wxOS_WINDOWS,
wxOS_UNIX_LINUX = 1 << 6,
wxOS_UNIX_FREEBSD = 1 << 7,
wxOS_UNIX_OPENBSD = 1 << 8,
wxOS_UNIX_NETBSD = 1 << 9,
wxOS_UNIX_SOLARIS = 1 << 10,
wxOS_UNIX_AIX = 1 << 11,
wxOS_UNIX_HPUX = 1 << 12,
wxOS_UNIX,
wxOS_DOS = 1 << 15,
wxOS_OS2 = 1 << 16
}

| The following are the operating systems which are recognized by wxWidgets and whose version can be detected at run-time. More...
enum | wxPortId { wxPORT_UNKNOWN = 0, wxPORT_BASE = 1 << 0, wxPORT_MSW = 1 << 1, wxPORT_MOTIF = 1 << 2, wxPORT_GTK = 1 << 3, wxPORT_MGL = 1 << 4, wxPORT_X11 = 1 << 5, wxPORT_OS2 = 1 << 6, wxPORT_MAC = 1 << 7, wxPORT_COCOA = 1 << 8, wxPORT_WINCE = 1 << 9, wxPORT_PALMOS = 1 << 10, wxPORT_DFB = 1 << 11 }
| The list of wxWidgets ports. More...
enum | wxArchitecture { wxARCH_INVALID = -1, wxARCH_32, wxARCH_64, wxARCH_MAX }
| The architecture of the operating system (regardless of the build environment of wxWidgets library - see wxIsPlatform64Bit() documentation for more info). More...
enum | wxEndianness { wxENDIAN_INVALID = -1, wxENDIAN_BIG, wxENDIAN_LITTLE, wxENDIAN_PDP, wxENDIAN_MAX }
| The endian-ness of the machine. More...

## Enumeration Type Documentation

enum wxArchitecture

The architecture of the operating system (regardless of the build environment of wxWidgets library - see wxIsPlatform64Bit() documentation for more info).

Enumerator:

  wxARCH_INVALID | returned on error
  wxARCH_32 | 32 bit
  wxARCH_64 | 64 bit
  wxARCH_MAX |

enum wxEndianness

The endian-ness of the machine.

Enumerator:

  wxENDIAN_INVALID | returned on error
  wxENDIAN_BIG | 4321
  wxENDIAN_LITTLE | 1234
  wxENDIAN_PDP | 3412
  wxENDIAN_MAX |

enum wxOperatingSystemId

The following are the operating systems which are recognized by wxWidgets and whose version can be detected at run-time.

The values of the constants are chosen so that they can be combined as flags; this allows to check for operating system families like e.g. `wxOS_MAC` and `wxOS_UNIX`.

Note that you can obtain more detailed informations about the current OS version in use by checking the major and minor version numbers returned by wxGetOsVersion() or by wxPlatformInfo::GetOSMajorVersion(), wxPlatformInfo::GetOSMinorVersion().

Enumerator:

  wxOS_UNKNOWN | returned on error
  wxOS_MAC_OS | Apple Mac OS 8/9/X with Mac paths.
  wxOS_MAC_OSX_DARWIN | Apple Mac OS X with Unix paths.
  wxOS_MAC | A combination of all `wxOS_MAC_*` values previously listed.
  wxOS_WINDOWS_9X | Windows 9x family (95/98/ME).
  wxOS_WINDOWS_NT | Windows NT family (NT/2000/XP/Vista/7).
  wxOS_WINDOWS_MICRO | MicroWindows.
  wxOS_WINDOWS_CE | Windows CE (Window Mobile).
  wxOS_WINDOWS | A combination of all `wxOS_WINDOWS_*` values previously listed.
  wxOS_UNIX_LINUX | Linux.
  wxOS_UNIX_FREEBSD | FreeBSD.
  wxOS_UNIX_OPENBSD | OpenBSD.
  wxOS_UNIX_NETBSD | NetBSD.
  wxOS_UNIX_SOLARIS | SunOS.
  wxOS_UNIX_AIX | AIX.
  wxOS_UNIX_HPUX | HP/UX.
  wxOS_UNIX | A combination of all `wxOS_UNIX_*` values previously listed.
  wxOS_DOS | Microsoft DOS.
  wxOS_OS2 | OS/2.

enum wxPortId

The list of wxWidgets ports.

Some of them can be used with more than a single (native) toolkit; e.g. wxWinCE port sources can be used with smartphones, pocket PCs and handheld devices SDKs.

Enumerator:

  wxPORT_UNKNOWN | returned on error
  wxPORT_BASE | wxBase, no native toolkit used
  wxPORT_MSW | wxMSW, native toolkit is Windows API
  wxPORT_MOTIF | wxMotif, using [Open]Motif or Lesstif
  wxPORT_GTK | wxGTK, using GTK+ 1.x, 2.x, GPE or Maemo
  wxPORT_MGL | wxMGL, using wxUniversal
  wxPORT_X11 | wxX11, using wxUniversal
  wxPORT_OS2 | wxOS2, using OS/2 Presentation Manager
  wxPORT_MAC | wxMac, using Carbon or Classic Mac API
  wxPORT_COCOA | wxCocoa, using Cocoa NextStep/Mac API
  wxPORT_WINCE | wxWinCE, toolkit is WinCE SDK API
  wxPORT_PALMOS | wxPalmOS, toolkit is PalmOS API
  wxPORT_DFB | wxDFB, using wxUniversal

|  | [ top ]